%define libdev	%mklibname %{name} -d

Name:		telepathy-salut
Version:	0.8.1
Release:	%mkrel 11
Summary:	Connection manager implementing link-local messaging for XMPP

Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		http://telepathy.freedesktop.org/wiki/
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch1:		telepathy-salut-0.8.1-python3.patch
BuildRequires:	libxslt-proc
BuildRequires:	pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	python3-dbus
Requires:	telepathy-filesystem

%description
telepathy-salut is a connection manager implementing link-local
messaging for XMPP.

http://www.xmpp.org/extensions/xep-0174.html

%files -n %{name}
%doc docs/clique.xml NEWS README
%{_docdir}/%{name}/clique.html
%{_libdir}/telepathy/salut-*/*/libsalut-plugins-%{version}.so
%{_libdir}/telepathy/salut-*/*/libwocky-telepathy-salut-%{version}.so
%{_libexecdir}/telepathy-salut
%{_mandir}/man8/telepathy-salut.8.*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/salut.manager

#--------------------------------------------------------------------

%package -n	%{libdev}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libdev}
%{_libdir}/telepathy/salut-0/lib/libsalut-plugins.so
%{_libdir}/telepathy/salut-0/lib/libwocky.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
export PYTHON=%__python3
%configure \
	--disable-static \
	--enable-olpc \
	--disable-avahi-tests
%make_build

%install
%make_install

rm -f %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_libdir}/telepathy/salut-0/lib/*.la


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.8.1-11.mga8
+ Revision: 1541771
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 01 2020 wally <wally> 0.8.1-10.mga8
+ Revision: 1475104
- port to python3

* Wed Jul 17 2019 daviddavid <daviddavid> 0.8.1-9.mga8
+ Revision: 1422059
- fix python2 dependencies

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-8.mga7
+ Revision: 1301379
- Mageia 7 Mass Rebuild

* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.8.1-7.mga6
+ Revision: 921840
- rebuild for gnutls

* Thu Oct 22 2015 daviddavid <daviddavid> 0.8.1-6.mga6
+ Revision: 894164
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-5.mga5
+ Revision: 739521
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 689818
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 519618
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 384327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 luigiwalser <luigiwalser> 0.8.1-1.mga3
+ Revision: 344406
- 0.8.1

* Sat Jul 28 2012 neoclust <neoclust> 0.8.0-2.mga3
+ Revision: 275114
- Create a devel package ( telepathy-salut was requiring devel package which was wrong)

* Sun Jul 01 2012 ovitters <ovitters> 0.8.0-1.mga3
+ Revision: 266270
- update file list
- disable static
- update file list
- new version 0.8.0

* Mon Nov 21 2011 wally <wally> 0.7.0-1.mga2
+ Revision: 170554
- new version 0.7.0
- add missing BR avahi-python and python-twisted

* Mon Oct 17 2011 mikala <mikala> 0.5.2-1.mga2
+ Revision: 155890
- Update tarball to 0.5.2
+ fwang <fwang>
- rebuild for new gnutls

* Fri Jun 24 2011 dmorgan <dmorgan> 0.5.0-1.mga2
+ Revision: 112905
- Add gnutls-devel as buildrequires ( for wocky)
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- New version 0.5.0

* Sun Apr 03 2011 pterjan <pterjan> 0.4.0-1.mga1
+ Revision: 80236
- imported package telepathy-salut


* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 645450
- update to new version 0.4.0

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.3.13-1mdv2011.0
+ Revision: 582222
- update to new version 0.3.13

* Mon Aug 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.12-2mdv2011.0
+ Revision: 567818
- add BR libuuid-devel

* Mon Aug 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.12-1mdv2011.0
+ Revision: 567815
- update to 0.3.12
- remove redundant BR
- remove --enable-handle-leak-debug configure option, doesn't exist any more

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.11-1mdv2010.1
+ Revision: 535571
- update to new version 0.3.11

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 0.3.10-2mdv2010.0
+ Revision: 454729
- do not package huge ChangeLog

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.10-1mdv2010.0
+ Revision: 437156
- update to new version 0.3.10

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.9-1mdv2010.0
+ Revision: 369663
- update to new version 0.3.9

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 348237
- Update to new version 0.3.8

* Sat Jan 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 327950
- Update to new version 0.3.7 (uses libsoup 2.4 instead of 2.2)

* Fri Dec 05 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 310872
- Fix BuildRequires
- update to new version 0.3.6

* Tue Oct 28 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0.3.5-2mdv2009.1
+ Revision: 297988
- enabled the OLPC features support, as they are needed by
  sugar-presence-service

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.5-1mdv2009.1
+ Revision: 292462
- update to new version 0.3.5

* Wed Aug 20 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.4-1mdv2009.0
+ Revision: 274390
- update to new version 0.3.4

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 219228
- New version 0.3.3

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 208458
- BR libtelepathy-glib-devel
- add BR
- New version 0.3.2

  + Michael Scherer <misc@mandriva.org>
    - fix url source

* Wed Jan 09 2008 Jérôme Soyer <saispo@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 147241
- New release

* Sat Jan 05 2008 Jérôme Soyer <saispo@mandriva.org> 0.2.0-1mdv2008.1
+ Revision: 145855
- Try in iurt before submit to BS
- New release 0.2.0
- Fix build and new version 0.2.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.1.5-1mdv2008.1
+ Revision: 97703
- New release 0.1.5

* Sat Jun 16 2007 Michael Scherer <misc@mandriva.org> 0.1.3-1mdv2008.0
+ Revision: 40410
- fix BuildRequires
- fix Release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 0.1.3

* Thu May 03 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.2-2mdv2008.0
+ Revision: 22011
- Rebuild
-New version

* Mon Apr 16 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-1mdv2007.1
+ Revision: 13512
- New version 0.1.1


* Thu Jan 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.0-1mdv2007.0
+ Revision: 110192
- Import telepathy-salut

